Problemas con actualizacion de Magento 1.3.0

raynexus

Nuevo usuario
Hola a todos,

He realizado la actualizacion de mi sitio a Magento 1.3.0 y se me han presentado los siguientes problemas:

1. Al momento de agregar un producto arroja un mensaje en rojo el cual no se si sea un error o advertencia (strict notice) y dice lo siguiente: "Strict Notice: Declaration of Unirgy_GiftCert_Model_Product_Type::isVirtual() should be compatible with that of Mage_Catalog_Model_Product_Type_Abstract::isVirtual() in /home6/mdhogarc/public_html/app/code/community/Unirgy/Giftcert/Model/Product/Type.php on line 126"



2. Tengo instalado dos idiomas (inglés-usa y español-españa), de los cuales solo funciona inglés en el backend, ya que cuando le cambio el idioma a español no realiza el cambio.

Hasta ahora esos han sido los problemas que me esta dando esta version, no se si alguno de ustedes les ha ocurrido. Alguno sabe como puedo solucionar estos problemas?

Muchas gracias...
Saludos!
 

Adjuntos

error403

Miembro
Posible Solucion

La verdad no tengo esa extension instalada, asi que no podria saber si el problema viene por ahi, pero tal vez la extension no sea compatible con la version de magento, por lo pronto debo decirte que deberias ir a la linea 126 del archivo que ahi figura, y tambien buscar la funcion isVirtual() en la clase
PHP:
Mage_Catalog_Model_Product_Type_Abstract
y ver cuales son las diferencias, ese error indica que el metodo isVirtual de la extension carece de un parametro que deberia tener para que sea "igual" a la de la extension de la clase, ejemplo:

PHP:
Mage_Catalog_Model_Product_Type_Abstract
PHP:
function isVirtual($param1,$param2,$param3){
}
PHP:
Unirgy_GiftCert_Model_Product_Type
PHP:
function isVirtual($param1,$param2){
}
Aca vemos que en la clase
PHP:
Mage_Catalog_Model_Product_Type_Abstract
la funcion tiene tres parametros, y en la clase
PHP:
Unirgy_GiftCert_Model_Product_Type
tiene dos, y es ahi donde surge la incompatibilidad que nombra el error:
Strict Notice: Declaration of [...] should be compatible with that of [...]
 

raynexus

Nuevo usuario
@error403

efectivamente, la unica solucion que le encontre al problema fue desintalarla, al parecer no es compatible con magento 1.3.0.

Ahora mi otra duda es con el idioma, tambien existe una traduccion diferente para cada version de magento?

muchas gracias!
 

error403

Miembro
al parecer si, me acabo de desayunar eso hoy, andrea (quien llevaba la traduccion es_ES) me dijo que se rompio mucho la cabeza con eso, ya que con cada version volvia todo a %0. La verdad, estoy viendo que en varios puntos la pifiaron, no digo que yo lo podria haber hecho mejor porque soy uno solo, pero en lo que se equivocaron son cosas que yo hubiera tenido en cuenta, como ser las traducciones que se mantengan a traves de las versiones y la posibilidad de agregar atributos al cliente, ya que no todos los paises son iguales, y ahora se me viene a la cabeza una mas: La posibilidad de indicar (mediante el back) cuales son las regiones, provincias, ciudades y todo de cada pais, ya que si vamos al caso, con semejante sistema esto seria lo de menos.
 
Arriba